/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package jdbctest;

import java.util.Date;

/**
 *
 * @author xkremser
 */
public class DeadBody {
    private Long id;
    private String name;
    private Date dateOfDeath;
    private int age;

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public Date getDateOfDeath() {
        return dateOfDeath;
    }

    public void setDateOfDeath(Date dateOfDeath) {
        this.dateOfDeath = dateOfDeath;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final DeadBody other = (DeadBody) obj;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 97 * hash + (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    public DeadBody(Long id, String name, Date dateOfDeath, int age) {
        this.id = id;
        this.name = name;
        this.dateOfDeath = dateOfDeath;
        this.age = age;
    }

    @Override
    public String toString() {
        return "DeadBody{" + "id=" + id + "name=" + name + "dateOfDeath=" + dateOfDeath + "age=" + age + '}';
    }



}
